public inbox for gdb-patches@sourceware.org
 help / color / mirror / Atom feed
From: Tom Tromey <tromey@redhat.com>
To: Doug Evans <dje@google.com>
Cc: gdb-patches@sourceware.org
Subject: Re: [0/4] RFC: add DWARF index support
Date: Thu, 05 Aug 2010 19:55:00 -0000	[thread overview]
Message-ID: <m3ocdgvnpx.fsf@fleche.redhat.com> (raw)
In-Reply-To: <AANLkTimhHWde0=EVrNeyCLb4iyDgT_5KWvfQUALZB-fi@mail.gmail.com>	(Doug Evans's message of "Thu, 5 Aug 2010 09:31:58 -0700")

>> I don't think this can happen.

Doug> ... assuming there are no bugs.

Ok.

What do you think of this?

Tom

2010-08-05  Tom Tromey  <tromey@redhat.com>

	* gdb-add-index.sh: Add error checking.

Index: gdb-add-index.sh
===================================================================
RCS file: /cvs/src/src/gdb/gdb-add-index.sh,v
retrieving revision 1.1
diff -u -r1.1 gdb-add-index.sh
--- gdb-add-index.sh	30 Jul 2010 20:46:34 -0000	1.1
+++ gdb-add-index.sh	5 Aug 2010 19:46:00 -0000
@@ -19,11 +19,19 @@
 file="$1"
 dir="${file%/*}"
 
-gdb --batch-silent -ex "file $file" -ex "save gdb-index $dir"
+gdb --batch-silent -ex "file $file" -ex "save gdb-index $dir" || {
+   # Just in case.
+   rm -f "${file}.gdb-index"
+   exit 1
+}
 
+# In some situation gdb can exit without creating an index.  This is
+# not an error.
+status=0
 if test -f "${file}.gdb-index"; then
    objcopy --add-section .gdb_index="${file}.gdb-index" --set-section-flags .gdb_index=readonly "$file" "$file"
+   status=$?
    rm -f "${file}.gdb-index"
 fi
 
-exit 0
+exit $status

  reply	other threads:[~2010-08-05 19:55 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-06-30 22:33 Tom Tromey
2010-07-09 17:31 ` Tom Tromey
2010-07-09 17:45   ` Eli Zaretskii
2010-07-09 20:26     ` Tom Tromey
2010-07-10  7:03       ` Eli Zaretskii
2010-07-12 16:52         ` Tom Tromey
2010-07-22 11:31   ` Jan Kratochvil
2010-07-22 15:54     ` Tom Tromey
2010-07-30 20:46   ` Tom Tromey
2010-08-02 18:10     ` Doug Evans
2010-08-05 16:30       ` Tom Tromey
2010-08-05 16:32         ` Doug Evans
2010-08-05 19:55           ` Tom Tromey [this message]
2010-08-05 19:57           ` Tom Tromey
2010-08-06 17:15             ` Doug Evans
2010-08-06 17:40               ` Tom Tromey
2010-08-06 20:53                 ` Doug Evans
2010-08-09 20:36                   ` Tom Tromey
2010-08-09 21:16                     ` Doug Evans
2010-08-10 18:46                       ` Tom Tromey
2010-08-10 18:57                         ` Doug Evans
2010-08-09 20:25                 ` Jan Kratochvil
2010-08-09 20:43                   ` Tom Tromey
2010-08-09 20:33                 ` Jan Kratochvil
2010-07-13 20:42 ` Tom Tromey
2010-07-22  4:28   ` Paul Pluzhnikov
2010-07-22 14:14     ` Tom Tromey
2010-07-22 15:54       ` Tom Tromey
2010-07-22 16:20         ` Paul Pluzhnikov
2010-07-22 20:54         ` Tom Tromey
2010-07-23 22:12           ` Tom Tromey
2010-07-26 18:41             ` Ken Werner
2010-07-26 18:50               ` Tom Tromey
2010-07-27  7:58                 ` Ken Werner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=m3ocdgvnpx.fsf@fleche.redhat.com \
    --to=tromey@redhat.com \
    --cc=dje@google.com \
    --cc=gdb-patches@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).